Subject: Re: Bug Report: TO filter does not work as claimed

From: Mark Crispin <[email-masked]>
Date: Tue, 1 Jun 2004 13:43:47 -0700 (Pacific Daylight Time)

Hello Erik -

I apologize for the delay in responding; I did not know about your message 
until today.  Not all of the Pine developers read pine-info regularly. 
The only way to be sure that you reach the Pine developers is to send mail 
to [email-masked].

There is no list of "defective IMAP servers" in Pine; but there is a way 
to work with defective IMAP servers.

Pine has an optional switch in the mailbox name, "/loser", which disables 
many IMAP operations in favor of doing the task locally.  For example, if 
you use "/loser", rather than doing a search on the server, Pine will 
download the necessary data and search locally.  This will cause these 
operations to work correctly, at a possibly significant performance cost.

For example, if your Courier server is called broken.example.com, you can 
set
 	inbox-path = {broken.example.com/loser}INBOX

This should remedy your specific problem.

Unfortunately, calling Courier "defective" is an understatement.  Courier 
is not an IMAP server at all.  In addition to its bugs, Courier deviates 
from the IMAP specification in several critical ways.  I gave up any 
attempt to communicate with the author of Courier years ago.

Consequently, any use of Courier is a crap-shoot, even with "/loser". 
You may be able to get an IMAP client to work with it, but there are no 
guarantees.

The only real fix is to dump Courier in favor of a standards-compliant 
server, such as UW or Cyrus.

On Fri, 28 May 2004, Erik T. Ray wrote:
> No one has replied to this message yet. Perhaps if I put "bug report" in the 
> subject line it will elicit a response. To summarize, a claimed workaround in 
> the 4.55 release notes about "TO" filters does not seem to be working in 
> 4.58. Thanks.
>
> Begin forwarded message:
>> From: "Erik T. Ray" <[email-masked]>
>> Date: May 4, 2004 2:34:37 PM EDT
>> To: Pine Discussion Forum <[email-masked]>
>> Subject: Courier IMAP and TO filter
>> 
>> I am using Pine 4.58 with an inbox-path set to a remote IMAP server. The 
>> server is Courier imapd 1.7.3 on Redhat 7.3. The problem I am having is 
>> that the "TO" filter does not properly match any messages, though the 
>> other filters do. I notice in the release notes for Pine 4.55 that this 
>> issue has been addressed:
>> 
>>     With some defective IMAP servers a filter which required a match in
>>     the To pattern would not match. The IMAP server defect is that the
>>     server does not implement a HEADER search for the empty string to be
>>     equivalent to a test for the header existing.
>> 
>> Is Courier imapd included in that list of "defective IMAP servers" and if 
>> so, any idea why this workaround is not working for me? If it is something 
>> else, can anyone suggest a workaround I might try? Thanks.
>
> --
> Erik Ray                     Unix Systems Administrator
> Harvard-MIT Data Center      Harvard University
> phone: (617) 496-5097        mobile: (781) 710-1162
>
>
> -- 
> -----------------------------------------------------------------
> For information about this mailing list, and its archives, see: 
> http://www.washington.edu/pine/pine-info/
> -----------------------------------------------------------------
>

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.